import java.util.*;
import java.lang.*;
import java.math.*;
import java.io.*;
public class Main {
	public static void main(String args[]) {
		InputStream inputStream=System.in;
		OutputStream outputStream=System.out;
		InputReader in=new InputReader(inputStream);
		PrintWriter out=new PrintWriter(outputStream);
		CRUELL solver=new CRUELL();
		solver.solve(in,out);
		out.close();
	}
}
class CRUELL {
	private BigInteger result(int x,int k) {
		BigInteger res=BigInteger.ONE;
		BigInteger mul=BigInteger.valueOf(x);
		while (k>0) {
			if (k%2==1) res=res.multiply(mul);
			mul=mul.multiply(mul);
			k/=2;
		}
		return (res);
	}
	public void solve(InputReader in,PrintWriter out) {
		int n=in.nextInt();
		int p=in.nextInt();
		char[] res=result(n,p).toString().toCharArray();
		int tmp=0;
		for (char x:res) {
			out.print(x);
			tmp++;
			if (tmp%70==0) out.println();
		}
	}
}
class InputReader {
	public BufferedReader reader;
	public StringTokenizer tokenizer;
	public InputReader(InputStream stream) {
        reader=new BufferedReader(new InputStreamReader(stream),32768);
        tokenizer=null;
    }
    public String next() {
        while (tokenizer==null || !tokenizer.hasMoreTokens()) {
            try {
                tokenizer=new StringTokenizer(reader.readLine());
            } catch (IOException e) {
                throw new RuntimeException(e);
            }
        }
        return tokenizer.nextToken();
    }
    public int nextInt() {
        return Integer.parseInt(next());
    }
    public long nextLong() {
    	return Long.parseLong(next());
    }
}